%global mod_name junit-plugin
%global short_name junit
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-junit-plugin
Version:        1.2
Release:        1%{?dist}
Summary:        Jenkins JUnit Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/junit-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This package provides Jenkins plugin which allows JUnit-format test
results to be published.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .
%mvn_package ::hpi: __noinstall
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# tests have special needs:
# "package com.gargoylesoftware.htmlunit.html does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/*

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Nov 21 2014 Michal Srb <msrb@redhat.com> - 1.2-1
- Update to upstream version 1.2

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.1-3
- Rebuild to fix plugin dependencies

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.1-2
- This is a core plugin, move it to the correct location

* Wed Sep 24 2014 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial packaging
